Subject: [JGIT PATCH 0/3] Support for loading .gitmodules from blobs

From: Constantine Plotnikov <[email-masked]>
Date: Wed, 24 Jun 2009 21:48:02 +0400

This series of patches is developed to support accessing 
.gitmodules file stored inside the repository. This functionality
is needed for server-side processing of submodules.

Constantine Plotnikov (3):
 Extracted functionality independent from .git/config from RepositoryConfig
 Config.getSubsections(...) now loads the file if it has not been loaded
 Added BlobBasedConfig that allows accessing configuration files stored in the blobs

 .../src/org/spearce/jgit/lib/BlobBasedConfig.java  |  145 +++
 .../src/org/spearce/jgit/lib/Commit.java           |    7 +
 .../src/org/spearce/jgit/lib/Config.java           | 1018 ++++++++++++++++++++
 .../src/org/spearce/jgit/lib/FileBasedConfig.java  |  120 +++
 .../src/org/spearce/jgit/lib/RepositoryConfig.java |  939 +------------------
 .../src/org/spearce/jgit/treewalk/TreeWalk.java    |    2 +-
 6 files changed, 1301 insertions(+), 930 deletions(-)